//Javascript Orios Page
var xmlHttp
function nuevoAjax()
{
	var xmlhttp=false;
 	try {
 		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
 	} catch (e) {
 		try {
 			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
 		} catch (E) {
 			xmlhttp = false;
 		}
  	}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
 		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function borra_producto(clave_borra)
{
	document.getElementById('contenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	var dotacion=document.getElementById('dotacion').value;
	borra=nuevoAjax();
	borra.open("GET", "entregacatedraticos_consultas_ajax.php?claveBorra="+clave_borra,true);
	borra.onreadystatechange= 
	function() 
		{ 	
			if (borra.readyState==4)
			{  
			document.getElementById('contenido').innerHTML=borra.responseText;  
			} 
		} 
	borra.send(null);
	location.href="main.php?a=4811&id="+dotacion+"&elimina";
}

function agregar()
{	
	agrega=nuevoAjax();
	var clave=document.getElementById('clave').value;
	var cantidad=document.getElementById('cantidad').value;
	var dotacion=document.getElementById('dotacion').value;
	if (clave =='')
	{
		alert("No se ha ingresado ningún producto");
		document.getElementById('clave').focus();
		return false;
	}
	if (cantidad =='')
	{
		alert("Requieres ingresar cantidad del producto");
		document.getElementById('cantidad').focus();
		return false;
	}
	document.getElementById('contenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	agrega.open("GET", "entregacatedraticos_consultas_ajax.php?clave="+clave+"&cantidad="+cantidad+"&dotacion="+dotacion,true);
	agrega.onreadystatechange= 
	function() 
	{ 	
		if (agrega.readyState==4)
		{ 
			document.getElementById('contenido').innerHTML=agrega.responseText; 
			document.getElementById('clave').value='';
			document.getElementById('nombre').value='';
			document.getElementById('cantidad').value='';
		}
	} 
	agrega.send(null);
	cantidad=0;
	clave='';
	setTimeout(location.href="main.php?a=4811&id="+dotacion+"&inserta",500);
}

function actualizafecha()
{
	//document.getElementById('actualfecha').innerHTML="<span class='style3'>Procesando...</span>";
	var fe=document.getElementById('datetimepicker').value;
	var dotacion=document.getElementById('dotacion').value;
	af=nuevoAjax();
	af.open("GET", "entregacatedraticos_consultas_ajax.php?actualizaFecha="+fe+"&dota="+dotacion,true);
	af.onreadystatechange= 
	function() 
	{ 	
		if (af.readyState==4)
		{  
			document.getElementById('actualfecha').innerHTML=af.responseText;  
			//alert("Fecha actualizada");
		} 
	} 
	af.send(null);
}

function actualizaobs()
{
	//document.getElementById('actualfecha').innerHTML="<span class='style3'>Procesando...</span>";
	var ob=document.getElementById('observaciones').value;
	var dotacion=document.getElementById('dotacion').value;
	ao=nuevoAjax();
	ao.open("GET", "entregacatedraticos_consultas_ajax.php?actualizaObs="+ob+"&dota="+dotacion,true);
	ao.onreadystatechange= 
	function() 
	{ 	
		if (ao.readyState==4)
		{  
			document.getElementById('actualobs').innerHTML=ao.responseText;  
		} 
	} 
	ao.send(null);
}